SilverLining: SilverLining::Vector3f Class Reference

SilverLining 2.36

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
SilverLining::Vector3f Class Reference

A 3D single-precision vector class, and its operations. More...

`#include <Vector3.h>`

Inheritance diagram for SilverLining::Vector3f:
[legend]
Collaboration diagram for SilverLining::Vector3f:
[legend]

List of all members.

## Public Member Functions
| Vector3f ()
| Default constructor; does not initialize the vector.
| Vector3f (const SilverLining::Vector3 &v)
| Construct a single precision vector from a double precision one.
| Vector3f (float px, float py, float pz)
| Constructs a Vector3f from the specified single-precision floating point x, y, and z values.
float SILVERLINING_API | Length ()
| Returns the length of this vector.
void SILVERLINING_API | Normalize ()
| Scales the vector to be of length 1.0.
double SILVERLINING_API | Dot (const Vector3 &v) const
| Returns the dot product of this vector with the specified Vector3.
Vector3f SILVERLINING_API | operator- (const Vector3f &v) const
| Subtracts the specified vector from this vector, and returns the result.
Vector3f SILVERLINING_API | operator+ (const Vector3f &v) const
| Adds this vector to the specified vector, and returns the result.
## Public Attributes
float | x
| Data members x, y, z are public for convenience.

## Detailed Description

A 3D single-precision vector class, and its operations.

## Constructor & Destructor Documentation

SilverLining::Vector3f::Vector3f | ( |  | ) | `[inline]`

Default constructor; does not initialize the vector.

SilverLining::Vector3f::Vector3f | ( | const SilverLining::Vector3 & | v | ) | `[inline]`

Construct a single precision vector from a double precision one.

SilverLining::Vector3f::Vector3f | ( | float | px,
|  | float | py,
|  | float | pz
| ) |  | `[inline]`

Constructs a Vector3f from the specified single-precision floating point x, y, and z values.

## Member Function Documentation

double SILVERLINING_API SilverLining::Vector3f::Dot | ( | const Vector3 & | v | ) | const`[inline]`

Returns the dot product of this vector with the specified Vector3.

float SILVERLINING_API SilverLining::Vector3f::Length | ( |  | ) | `[inline]`

Returns the length of this vector.

void SILVERLINING_API SilverLining::Vector3f::Normalize | ( |  | ) | `[inline]`

Scales the vector to be of length 1.0.

Vector3f SILVERLINING_API SilverLining::Vector3f::operator+ | ( | const Vector3f & | v | ) | const`[inline]`

Adds this vector to the specified vector, and returns the result.

Vector3f SILVERLINING_API SilverLining::Vector3f::operator- | ( | const Vector3f & | v | ) | const`[inline]`

Subtracts the specified vector from this vector, and returns the result.

## Member Data Documentation

float SilverLining::Vector3f::x

Data members x, y, z are public for convenience.

The documentation for this class was generated from the following file:

- /home/fkane/sl/trunk/Public Headers/Vector3.h